Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class EnterpriseContextCachePolicy.Scheduler

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.EnterpriseContextCachePolicy.Scheduler

Enclosing class:
  EnterpriseContextCachePolicy

public static final class EnterpriseContextCachePolicy.Scheduler
extends java.lang.Object

Final class that hold a single instance of a `TimerQueue` object for all the CachePolicy instances, allowing the cache policies to register `TimerTask`s that will be executed in a single background thread.
Usage:

     TimerTask task = new TimerTask()
     {
     		public void execute() throws Exception
    		{
    			doSomething();
    		}
     };
     scheduler.schedule(task);

See Also:
  `TimerQueue`

Constructor Summary
`EnterpriseContextCachePolicy.Scheduler()`

Method Summary
`void` | `schedule(TimerTask t)`
`void` | `schedule(TimerTask t, long delay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnterpriseContextCachePolicy.Scheduler

    public EnterpriseContextCachePolicy.Scheduler()

Method Detail

### schedule

    public final void schedule(TimerTask t)

### schedule

    public final void schedule(TimerTask t,
                               long delay)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.